Bug 712907 - [abrt] notification-daemon-0.7.1-1.fc15: g_return_if_fail_warning: Process /usr/libexec/notification-daemon was killed by signal 6 (SIGABRT)
[abrt] notification-daemon-0.7.1-1.fc15: g_return_if_fail_warning: Process /u...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: notification-daemon (Show other bugs)
15
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
abrt_hash:dcc5ecd98adfded6e4c04f6a031...
:
: 739750 756143 756306 757107 757964 757967 758206 758584 758585 758903 759258 759295 759677 759683 759774 759775 759844 760240 760358 760585 760907 760913 760914 761303 761395 765616 766044 767476 768080 768102 768120 768518 806702 (view as bug list)
Depends On:
Blocks: 760585 846528
  Show dependency treegraph
 
Reported: 2011-06-13 10:54 EDT by Alexey Kuznetsov
Modified: 2013-03-05 23:08 EST (History)
48 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 846528 (view as bug list)
Environment:
Last Closed: 2012-08-07 11:54:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (25.81 KB, text/plain)
2012-01-20 08:14 EST, KC
no flags Details
File: backtrace (25.48 KB, text/plain)
2012-01-24 16:48 EST, Stuart D Gathman
no flags Details
File: backtrace (25.00 KB, text/plain)
2012-02-01 09:33 EST, Flos Lonicerae
no flags Details
File: backtrace (25.32 KB, text/plain)
2012-02-07 07:54 EST, Stuart D Gathman
no flags Details
File: backtrace (25.59 KB, text/plain)
2012-02-08 13:01 EST, Stuart D Gathman
no flags Details
File: backtrace (25.60 KB, text/plain)
2012-02-10 17:46 EST, MediaBusiness
no flags Details
File: backtrace (25.49 KB, text/plain)
2012-02-27 16:50 EST, Stuart D Gathman
no flags Details
File: backtrace (31.48 KB, text/plain)
2012-03-17 16:37 EDT, linuxlambe
no flags Details
File: backtrace (25.38 KB, text/plain)
2012-03-18 19:21 EDT, John Cusick
no flags Details
File: backtrace (25.11 KB, text/plain)
2012-03-27 18:39 EDT, Stuart D Gathman
no flags Details
File: backtrace (28.59 KB, text/plain)
2012-04-08 05:42 EDT, thomas
no flags Details
File: backtrace (25.50 KB, text/plain)
2012-05-08 05:24 EDT, MediaBusiness
no flags Details
Comment (64.57 KB, text/plain)
2011-06-13 10:54 EDT, Alexey Kuznetsov
no flags Details

  None (edit)
Description Alexey Kuznetsov 2011-06-13 10:54:03 EDT
Created attachment 915328 [details]
Comment

(This comment was longer than 65,535 characters and has been moved to an attachment by Red Hat Bugzilla).
Comment 1 Alexey Kuznetsov 2011-06-13 19:56:19 EDT
Package: notification-daemon-0.7.1-1.fc15
Architecture: i686
OS Release: Fedora release 15 (Lovelock)


Comment
-----
move mouse around
Comment 2 Marcin 2011-06-27 08:37:52 EDT
Package: notification-daemon-0.7.1-1.fc15
Architecture: i686
OS Release: Fedora release 15 (Lovelock)

Comment
-----
Start Rhyhthmbox then play some music, and close notify info about song.
Comment 3 Paolo Niccolò Giubelli 2011-06-28 02:44:11 EDT
Package: notification-daemon-0.7.1-1.fc15
Architecture: i686
OS Release: Fedora release 15 (Lovelock)

Comment
-----
don't know :-)
Comment 4 abr4xas 2011-06-29 06:38:46 EDT
Package: notification-daemon-0.7.1-1.fc15
Architecture: i686
OS Release: Fedora release 15 (Lovelock)

Comment
-----
i dont kwon, just happen :-/
Comment 5 Vlad M 2011-10-10 11:22:27 EDT
Package: notification-daemon-0.7.2-1.fc16
Architecture: i686
OS Release: Fedora release 16 (Verne)

Comment
-----
unable to see the rhythmbox notification area icon
Comment 6 Maciek Borzecki 2011-10-27 14:29:03 EDT
Package: notification-daemon-0.7.3-1.fc16
Architecture: i686
OS Release: Fedora release 16 (Verne)

Comment
-----
Running GNOME in fallback mode. Rhythmbox advanced to the next track, and supposedly attempted to put out a notification.
Comment 7 udtduetl 2011-11-09 16:46:29 EST
Package: notification-daemon-0.7.3-2.fc16
Architecture: i686
OS Release: Fedora release 16 (Verne)

Comment
-----
I've clicked clear all notifications (not sure exactly, but it was like that)
Comment 8 Herbert Carl Meyer 2011-11-10 08:07:56 EST
Package: notification-daemon-0.7.3-2.fc16
Architecture: i686
OS Release: Fedora release 16 (Verne)

Comment
-----
error occures shortly after installation. has not re-occured
Comment 9 Antoine Jacoutot 2011-12-28 11:13:08 EST
The notification-daemon crashes as soon as rhythmbox starts a playback with the notification plugin enabled.
Note that this is under gnome-fallback (where notification-daemon is needed).


rating: 4
Package: notification-daemon-0.7.3-2.fc16
Architecture: i686
OS Release: Fedora release 16 (Verne)
Comment 10 MediaBusiness 2011-12-29 04:11:03 EST
crash on boot

rating: 4
Package: notification-daemon-0.7.3-2.fc16
Architecture: i686
OS Release: Fedora release 16 (Verne)
Comment 11 MediaBusiness 2012-01-05 14:46:28 EST
no idea

rating: 4
Package: notification-daemon-0.7.3-2.fc16
Architecture: i686
OS Release: Fedora release 16 (Verne)
Comment 12 KC 2012-01-20 08:13:59 EST
Powered on the computer.

backtrace_rating: 4
Package: notification-daemon-0.7.3-2.fc16
OS Release: Fedora release 16 (Verne)
Comment 13 KC 2012-01-20 08:14:13 EST
Created attachment 556513 [details]
File: backtrace
Comment 14 Stuart D Gathman 2012-01-24 16:48:02 EST
Opened rhythmbox, selected an album, and pressed play.  I assume that the notifier was supposed to show the song playing.

backtrace_rating: 4
Package: notification-daemon-0.7.3-2.fc16
OS Release: Fedora release 16 (Verne)
Comment 15 Stuart D Gathman 2012-01-24 16:48:10 EST
Created attachment 557321 [details]
File: backtrace
Comment 16 Stuart D Gathman 2012-01-24 16:52:44 EST
*** Bug 759677 has been marked as a duplicate of this bug. ***
Comment 17 Stuart D Gathman 2012-01-24 16:53:54 EST
*** Bug 759683 has been marked as a duplicate of this bug. ***
Comment 18 Stuart D Gathman 2012-01-24 16:55:03 EST
*** Bug 766044 has been marked as a duplicate of this bug. ***
Comment 19 Flos Lonicerae 2012-02-01 09:33:42 EST
1. run rhythmbox in menu
2. abrt-applet pop up


backtrace_rating: 4
Package: notification-daemon-0.7.3-2.fc16
OS Release: Fedora release 16 (Verne)
Comment 20 Flos Lonicerae 2012-02-01 09:33:57 EST
Created attachment 558837 [details]
File: backtrace
Comment 21 Stuart D Gathman 2012-02-07 07:54:11 EST
Pressed Play in rhythmbox

backtrace_rating: 4
Package: notification-daemon-0.7.3-2.fc16
OS Release: Fedora release 16 (Verne)
Comment 22 Stuart D Gathman 2012-02-07 07:54:23 EST
Created attachment 559930 [details]
File: backtrace
Comment 23 Stuart D Gathman 2012-02-08 13:01:42 EST
Update, reboot, login.

backtrace_rating: 4
Package: notification-daemon-0.7.3-2.fc16
OS Release: Fedora release 16 (Verne)
Comment 24 Stuart D Gathman 2012-02-08 13:01:52 EST
Created attachment 560328 [details]
File: backtrace
Comment 25 MediaBusiness 2012-02-10 17:46:22 EST
Opened Rhythmbox.

backtrace_rating: 4
Package: notification-daemon-0.7.3-2.fc16
OS Release: Fedora release 16 (Verne)
Comment 26 MediaBusiness 2012-02-10 17:46:33 EST
Created attachment 561005 [details]
File: backtrace
Comment 27 Stuart D Gathman 2012-02-27 16:50:44 EST
Play song in rhythmbox.

backtrace_rating: 4
Package: notification-daemon-0.7.3-2.fc16
OS Release: Fedora release 16 (Verne)
Comment 28 Stuart D Gathman 2012-02-27 16:50:57 EST
Created attachment 566152 [details]
File: backtrace
Comment 29 linuxlambe 2012-03-17 16:37:11 EDT
Start Fedora 16
Start Rhythmbox
Receive error message


backtrace_rating: 4
Package: notification-daemon-0.7.3-2.fc16
OS Release: Fedora release 16 (Verne)
Comment 30 linuxlambe 2012-03-17 16:37:29 EDT
Created attachment 570829 [details]
File: backtrace
Comment 31 John Cusick 2012-03-18 19:21:32 EDT
I plugged is a Netgear WNA1100 usb wireless interface

backtrace_rating: 4
Package: notification-daemon-0.7.3-2.fc16
OS Release: Fedora release 16 (Verne)
Comment 32 John Cusick 2012-03-18 19:21:43 EDT
Created attachment 570967 [details]
File: backtrace
Comment 33 abrt-bot 2012-03-21 12:20:40 EDT
*** Bug 759775 has been marked as a duplicate of this bug. ***
Comment 34 abrt-bot 2012-03-21 12:20:52 EDT
*** Bug 760585 has been marked as a duplicate of this bug. ***
Comment 35 abrt-bot 2012-03-21 12:21:02 EDT
*** Bug 768080 has been marked as a duplicate of this bug. ***
Comment 36 abrt-bot 2012-03-21 12:21:10 EDT
*** Bug 757107 has been marked as a duplicate of this bug. ***
Comment 37 abrt-bot 2012-03-21 12:21:20 EDT
*** Bug 760240 has been marked as a duplicate of this bug. ***
Comment 38 abrt-bot 2012-03-21 12:21:34 EDT
*** Bug 765616 has been marked as a duplicate of this bug. ***
Comment 39 abrt-bot 2012-03-21 12:21:49 EDT
*** Bug 759258 has been marked as a duplicate of this bug. ***
Comment 40 abrt-bot 2012-03-21 12:21:57 EDT
*** Bug 757964 has been marked as a duplicate of this bug. ***
Comment 41 abrt-bot 2012-03-21 12:22:08 EDT
*** Bug 759844 has been marked as a duplicate of this bug. ***
Comment 42 abrt-bot 2012-03-21 12:22:16 EDT
*** Bug 768518 has been marked as a duplicate of this bug. ***
Comment 43 abrt-bot 2012-03-21 12:22:29 EDT
*** Bug 760907 has been marked as a duplicate of this bug. ***
Comment 44 abrt-bot 2012-03-21 12:22:38 EDT
*** Bug 768102 has been marked as a duplicate of this bug. ***
Comment 45 abrt-bot 2012-03-21 12:22:48 EDT
*** Bug 760358 has been marked as a duplicate of this bug. ***
Comment 46 abrt-bot 2012-03-21 12:22:58 EDT
*** Bug 758206 has been marked as a duplicate of this bug. ***
Comment 47 abrt-bot 2012-03-21 12:23:08 EDT
*** Bug 758584 has been marked as a duplicate of this bug. ***
Comment 48 abrt-bot 2012-03-21 12:23:17 EDT
*** Bug 757967 has been marked as a duplicate of this bug. ***
Comment 49 abrt-bot 2012-03-21 12:23:25 EDT
*** Bug 759774 has been marked as a duplicate of this bug. ***
Comment 50 abrt-bot 2012-03-21 12:23:38 EDT
*** Bug 756306 has been marked as a duplicate of this bug. ***
Comment 51 abrt-bot 2012-03-21 12:23:46 EDT
*** Bug 758585 has been marked as a duplicate of this bug. ***
Comment 52 abrt-bot 2012-03-21 12:23:55 EDT
*** Bug 767476 has been marked as a duplicate of this bug. ***
Comment 53 abrt-bot 2012-03-21 12:24:03 EDT
*** Bug 758903 has been marked as a duplicate of this bug. ***
Comment 54 abrt-bot 2012-03-21 12:24:11 EDT
*** Bug 761303 has been marked as a duplicate of this bug. ***
Comment 55 abrt-bot 2012-03-21 12:24:19 EDT
*** Bug 760914 has been marked as a duplicate of this bug. ***
Comment 56 abrt-bot 2012-03-21 12:24:27 EDT
*** Bug 761395 has been marked as a duplicate of this bug. ***
Comment 57 abrt-bot 2012-03-21 12:24:34 EDT
*** Bug 768120 has been marked as a duplicate of this bug. ***
Comment 58 abrt-bot 2012-03-21 12:24:42 EDT
*** Bug 759295 has been marked as a duplicate of this bug. ***
Comment 59 abrt-bot 2012-03-21 12:24:59 EDT
*** Bug 756143 has been marked as a duplicate of this bug. ***
Comment 60 Stuart D Gathman 2012-03-27 18:38:59 EDT
Play a song in rhythmbox.  Just getting a new backtrace.

backtrace_rating: 4
Package: notification-daemon-0.7.3-2.fc16
OS Release: Fedora release 16 (Verne)
Comment 61 Stuart D Gathman 2012-03-27 18:39:16 EDT
Created attachment 573189 [details]
File: backtrace
Comment 62 abrt-bot 2012-03-30 09:23:08 EDT
*** Bug 806702 has been marked as a duplicate of this bug. ***
Comment 63 abrt-bot 2012-03-30 09:23:21 EDT
*** Bug 739750 has been marked as a duplicate of this bug. ***
Comment 64 abrt-bot 2012-03-30 09:23:33 EDT
*** Bug 760913 has been marked as a duplicate of this bug. ***
Comment 65 thomas 2012-04-08 05:42:03 EDT
deleted the second panel from xfce . then notification.deamon problem 

backtrace_rating: 4
Package: notification-daemon-0.7.3-2.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)
Comment 66 thomas 2012-04-08 05:42:25 EDT
Created attachment 576009 [details]
File: backtrace
Comment 67 MediaBusiness 2012-05-08 05:23:45 EDT
on start

backtrace_rating: 4
Package: notification-daemon-0.7.3-2.fc16
OS Release: Fedora release 16 (Verne)
Comment 68 MediaBusiness 2012-05-08 05:24:08 EDT
Created attachment 582934 [details]
File: backtrace
Comment 69 Stuart D Gathman 2012-06-15 12:07:48 EDT
Start rhythmbox.  Reported before, but maybe get a better backtrace.

backtrace_rating: 4
Package: notification-daemon-0.7.3-2.fc16
OS Release: Fedora release 16 (Verne)
Comment 70 Alick Zhao 2012-07-14 00:14:42 EDT
It seems that the bug occurred with rhythmbox is caused by the notification plugin of rhythmbox. The test is as follows: I manually lanuch /usr/libexec/notification-daemon in foreground.

1. With notification plugin enabled in rhythmbox, notification-daemon crashes when rhythmbox is about to play a new song (and show notification):

GLib-CRITICAL **: g_variant_get_boolean: assertion `g_variant_is_of_type (value, G_VARIANT_TYPE_BOOLEAN)' failed
Trace/breakpoint trap(吐核)
                      ^^^--- It means 'core dumped' in English.

2. Restart notification-daemon manually. With notification plugin disabled in rhythmbox, no crash occurs by now.
Comment 71 Fedora End Of Life 2012-08-07 11:54:23 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.